package com.ruoyi.project.patrol.emergency.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.emergency.mapper.TEmergencyCctvMapper;
import com.ruoyi.project.patrol.emergency.domain.TEmergencyCctv;
import com.ruoyi.project.patrol.emergency.service.ITEmergencyCctvService;

/**
 * CCTV系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-03
 */
@Service
public class TEmergencyCctvServiceImpl implements ITEmergencyCctvService 
{
    @Autowired
    private TEmergencyCctvMapper tEmergencyCctvMapper;

    /**
     * 查询CCTV系统
     * 
     * @param id CCTV系统主键
     * @return CCTV系统
     */
    @Override
    public TEmergencyCctv selectTEmergencyCctvById(Long id)
    {
        return tEmergencyCctvMapper.selectTEmergencyCctvById(id);
    }

    /**
     * 查询CCTV系统列表
     * 
     * @param tEmergencyCctv CCTV系统
     * @return CCTV系统
     */
    @Override
    public List<TEmergencyCctv> selectTEmergencyCctvList(TEmergencyCctv tEmergencyCctv)
    {
        return tEmergencyCctvMapper.selectTEmergencyCctvList(tEmergencyCctv);
    }

    /**
     * 新增CCTV系统
     * 
     * @param tEmergencyCctv CCTV系统
     * @return 结果
     */
    @Override
    public int insertTEmergencyCctv(TEmergencyCctv tEmergencyCctv)
    {
        return tEmergencyCctvMapper.insertTEmergencyCctv(tEmergencyCctv);
    }

    /**
     * 修改CCTV系统
     * 
     * @param tEmergencyCctv CCTV系统
     * @return 结果
     */
    @Override
    public int updateTEmergencyCctv(TEmergencyCctv tEmergencyCctv)
    {
        return tEmergencyCctvMapper.updateTEmergencyCctv(tEmergencyCctv);
    }

    /**
     * 批量删除CCTV系统
     * 
     * @param ids 需要删除的CCTV系统主键
     * @return 结果
     */
    @Override
    public int deleteTEmergencyCctvByIds(Long[] ids)
    {
        return tEmergencyCctvMapper.deleteTEmergencyCctvByIds(ids);
    }

    /**
     * 删除CCTV系统信息
     * 
     * @param id CCTV系统主键
     * @return 结果
     */
    @Override
    public int deleteTEmergencyCctvById(Long id)
    {
        return tEmergencyCctvMapper.deleteTEmergencyCctvById(id);
    }
}
